package com.lightinit.hsdatashow.model.admin;

import java.math.BigDecimal;
import java.util.List;

public class GroupNameAndValueModel<T> {

    private List<String> categories ;
    private List<String> categories1 ;

    private List<T> value ;
    private List<T> value1 ;

    private BigDecimal dataValue ; //数据值

    private BigDecimal growth ; //同比数据值

    public List<String> getCategories() {
        return categories;
    }

    public void setCategories(List<String> categories) {
        this.categories = categories;
    }

    public List<T> getValue() {
        return value;
    }

    public void setValue(List<T> value) {
        this.value = value;
    }

    public BigDecimal getDataValue() {
        return dataValue;
    }

    public void setDataValue(BigDecimal dataValue) {
        this.dataValue = dataValue;
    }

    public BigDecimal getGrowth() {
        return growth;
    }

    public void setGrowth(BigDecimal growth) {
        this.growth = growth;
    }

    public List<String> getCategories1() {
        return categories1;
    }

    public void setCategories1(List<String> categories1) {
        this.categories1 = categories1;
    }

    public List<T> getValue1() {
        return value1;
    }

    public void setValue1(List<T> value1) {
        this.value1 = value1;
    }
}
